Page MenuHomeFreeBSD

vt(4): Add support for `vidcontrol -C'
ClosedPublic

Authored by jah on May 12 2020, 5:21 AM.

Details

Summary

PR: 224436

Diff Detail

Repository
rS FreeBSD src repository
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

jah created this revision.May 12 2020, 5:21 AM
jah requested review of this revision.May 12 2020, 5:21 AM
jah added a reviewer: emaste.May 12 2020, 5:22 AM
jah edited the summary of this revision. (Show Details)May 12 2020, 5:25 AM

I will try this out shortly

jah added a comment.May 23 2020, 7:53 PM

I will try this out shortly

Have you been able to test it? Works fine for me, but there might be corner cases I'm just not familiar with.

emaste accepted this revision.May 28 2020, 4:49 PM

LGTM

I noticed one nit - after clearing history you can press Scroll Lock and scroll up through the cleared history buffer, while we probably want to reset that as well. However, I'd suggest that you commit this now and we can address that in a followup. I also did not check how sc(4) behaves with respect to this.

This revision is now accepted and ready to land.May 28 2020, 4:49 PM
jah added a comment.May 28 2020, 9:01 PM

LGTM

I noticed one nit - after clearing history you can press Scroll Lock and scroll up through the cleared history buffer, while we probably want to reset that as well. However, I'd suggest that you commit this now and we can address that in a followup. I also did not check how sc(4) behaves with respect to this.

From what I can tell, it looks like sc(4) just clears the entire buffer using sc_vtb_clear() without making additional adjustments. But I agree that it doesn't seem useful to be able to scroll back through hundreds of lines of nothing. It looks like resetting the scrollback state should be pretty simple; I'll post a follow-on change to do that.

This revision was automatically updated to reflect the committed changes.